Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 426982 - Cannot build cgi for dev-lang/php (5.4.3, 5.4.4-rc2)
Summary: Cannot build cgi for dev-lang/php (5.4.3, 5.4.4-rc2)
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: AMD64 OS X
: Normal major with 1 vote (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 11:03 UTC by Konrad Gibaszewski
Modified: 2017-06-08 17:13 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge --info.txt,3.94 KB, text/plain)
2012-07-17 11:04 UTC, Konrad Gibaszewski
Details
emerge -pqv (emerge -pqv.txt,957 bytes, text/plain)
2012-07-17 11:04 UTC, Konrad Gibaszewski
Details
build.log (build.log.zip,28.15 KB, text/plain)
2012-07-17 11:06 UTC, Konrad Gibaszewski
Details
build.log (build.log.zip,28.15 KB, application/zip)
2012-07-17 11:07 UTC, Konrad Gibaszewski
Details
environment (environment.zip,36.94 KB, application/zip)
2012-07-17 11:08 UTC, Konrad Gibaszewski
Details
build.log (build.log.zip,28.15 KB, application/zip)
2012-07-17 11:09 UTC, Konrad Gibaszewski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konrad Gibaszewski 2012-07-17 11:03:14 UTC
PHP configured with cgi support fails to build.

Reproducible: Always

Steps to Reproduce:
1. USE="cgi" emerge dev-lang/php
Actual Results:  
O2 -pipe -march=core2 -fvisibility=hidden  -L/Users/gibba/Gentoo/usr/lib -L/Users/gibba/Gentoo/usr/lib/mysql -L/Users/gibba/Gentoo/usr//lib -L/Users/gibba/Gentoo/usr/lib/ -Wl,-dead_strip_dylibs -Wl,-rpath,/Users/gibba/Gentoo/usr/lib -Wl,-rpath,/Users/gibba/Gentoo/usr/lib/mysql -Wl,-rpath,/Users/gibba/Gentoo/usr//lib -Wl,-rpath,/Users/gibba/Gentoo/usr/lib/ ext/date/php_date.o ext/date/lib/astro.o ext/date/lib/dow.o ext/date/lib/parse_date.o ext/date/lib/parse_tz.o ext/date/lib/timelib.o ext/date/lib/tm2unixtime.o ext/date/lib/unixtime2tm.o ext/date/lib/parse_iso_intervals.o ext/date/lib/interval.o ext/ereg/ereg.o ext/ereg/regex/regcomp.o ext/ereg/regex/regexec.o ext/ereg/regex/regerror.o ext/ereg/regex/regfree.o ext/libxml/libxml.o ext/pcre/php_pcre.o ext/zlib/zlib.o ext/zlib/zlib_fopen_wrapper.o ext/zlib/zlib_filter.o ext/bz2/bz2.o ext/bz2/bz2_filter.o ext/dom/php_dom.o ext/dom/attr.o ext/dom/document.o ext/dom/domerrorhandler.o ext/dom/domstringlist.o ext/dom/domexception.o ext/dom/namelist.o ext/dom/processinginstruction.o ext/dom/cdatasection.o ext/dom/documentfragment.o ext/dom/domimplementation.o ext/dom/element.o ext/dom/node.o ext/dom/string_extend.o ext/dom/characterdata.o ext/dom/documenttype.o ext/dom/domimplementationlist.o ext/dom/entity.o ext/dom/nodelist.o ext/dom/text.o ext/dom/comment.o ext/dom/domconfiguration.o ext/dom/domimplementationsource.o ext/dom/entityreference.o ext/dom/notation.o ext/dom/xpath.o ext/dom/dom_iterators.o ext/dom/typeinfo.o ext/dom/domerror.o ext/dom/domlocator.o ext/dom/namednodemap.o ext/dom/userdatahandler.o ext/mbstring/libmbfl/filters/html_entities.o ext/mbstring/libmbfl/filters/mbfilter_7bit.o ext/mbstring/libmbfl/filters/mbfilter_ascii.o ext/mbstring/libmbfl/filters/mbfilter_base64.o ext/mbstring/libmbfl/filters/mbfilter_big5.o ext/mbstring/libmbfl/filters/mbfilter_byte2.o ext/mbstring/libmbfl/filters/mbfilter_byte4.o ext/mbstring/libmbfl/filters/mbfilter_cp1251.o ext/mbstring/libmbfl/filters/mbfilter_cp1252.o ext/mbstring/libmbfl/filters/mbfilter_cp1254.o ext/mbstring/libmbfl/filters/mbfilter_cp5022x.o ext/mbstring/libmbfl/filters/mbfilter_cp51932.o ext/mbstring/libmbfl/filters/mbfilter_cp850.o ext/mbstring/libmbfl/filters/mbfilter_cp866.o ext/mbstring/libmbfl/filters/mbfilter_cp932.o ext/mbstring/libmbfl/filters/mbfilter_cp936.o ext/mbstring/libmbfl/filters/mbfilter_gb18030.o ext/mbstring/libmbfl/filters/mbfilter_euc_cn.o ext/mbstring/libmbfl/filters/mbfilter_euc_jp.o ext/mbstring/libmbfl/filters/mbfilter_euc_jp_2004.o ext/mbstring/libmbfl/filters/mbfilter_euc_jp_win.o ext/mbstring/libmbfl/filters/mbfilter_euc_kr.o ext/mbstring/libmbfl/filters/mbfilter_euc_tw.o ext/mbstring/libmbfl/filters/mbfilter_htmlent.o ext/mbstring/libmbfl/filters/mbfilter_hz.o ext/mbstring/libmbfl/filters/mbfilter_iso2022_jp_ms.o ext/mbstring/libmbfl/filters/mbfilter_iso2022jp_2004.o ext/mbstring/libmbfl/filters/mbfilter_iso2022jp_mobile.o ext/mbstring/libmbfl/filters/mbfilter_iso2022_kr.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_1.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_10.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_13.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_14.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_15.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_16.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_2.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_3.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_4.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_5.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_6.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_7.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_8.o ext/mbstring/libmbfl/filters/mbfilter_iso8859_9.o ext/mbstring/libmbfl/filters/mbfilter_jis.o ext/mbstring/libmbfl/filters/mbfilter_koi8r.o ext/mbstring/libmbfl/filters/mbfilter_armscii8.o ext/mbstring/libmbfl/filters/mbfilter_qprint.o ext/mbstring/libmbfl/filters/mbfilter_sjis.o ext/mbstring/libmbfl/filters/mbfilter_sjis_open.o ext/mbstring/libmbfl/filters/mbfilter_sjis_mobile.o ext/mbstring/libmbfl/filters/mbfilter_sjis_mac.o ext/mbstring/libmbfl/filters/mbfilter_sjis_2004.o ext/mbstring/libmbfl/filters/mbfilter_tl_jisx0201_jisx0208.o ext/mbstring/libmbfl/filters/mbfilter_ucs2.o ext/mbstring/libmbfl/filters/mbfilter_ucs4.o ext/mbstring/libmbfl/filters/mbfilter_uhc.o ext/mbstring/libmbfl/filters/mbfilter_utf16.o ext/mbstring/libmbfl/filters/mbfilter_utf32.o ext/mbstring/libmbfl/filters/mbfilter_utf7.o ext/mbstring/libmbfl/filters/mbfilter_utf7imap.o ext/mbstring/libmbfl/filters/mbfilter_utf8.o ext/mbstring/libmbfl/filters/mbfilter_utf8_mobile.o ext/mbstring/libmbfl/filters/mbfilter_uuencode.o ext/mbstring/libmbfl/filters/mbfilter_koi8u.o ext/mbstring/libmbfl/mbfl/mbfilter.o ext/mbstring/libmbfl/mbfl/mbfilter_8bit.o ext/mbstring/libmbfl/mbfl/mbfilter_pass.o ext/mbstring/libmbfl/mbfl/mbfilter_wchar.o ext/mbstring/libmbfl/mbfl/mbfl_convert.o ext/mbstring/libmbfl/mbfl/mbfl_encoding.o ext/mbstring/libmbfl/mbfl/mbfl_filter_output.o ext/mbstring/libmbfl/mbfl/mbfl_ident.o ext/mbstring/libmbfl/mbfl/mbfl_language.o ext/mbstring/libmbfl/mbfl/mbfl_memory_device.o ext/mbstring/libmbfl/mbfl/mbfl_string.o ext/mbstring/libmbfl/mbfl/mbfl_allocators.o ext/mbstring/libmbfl/nls/nls_de.o ext/mbstring/libmbfl/nls/nls_en.o ext/mbstring/libmbfl/nls/nls_ja.o ext/mbstring/libmbfl/nls/nls_kr.o ext/mbstring/libmbfl/nls/nls_neutral.o ext/mbstring/libmbfl/nls/nls_ru.o ext/mbstring/libmbfl/nls/nls_uni.o ext/mbstring/libmbfl/nls/nls_zh.o ext/mbstring/libmbfl/nls/nls_hy.o ext/mbstring/libmbfl/nls/nls_tr.o ext/mbstring/libmbfl/nls/nls_ua.o ext/mbstring/mbstring.o ext/mbstring/php_unicode.o ext/mbstring/mb_gpc.o ext/mbstring/php_mbregex.o ext/mysqli/mysqli.o ext/mysqli/mysqli_api.o ext/mysqli/mysqli_prop.o ext/mysqli/mysqli_nonapi.o ext/mysqli/mysqli_fe.o ext/mysqli/mysqli_report.o ext/mysqli/mysqli_driver.o ext/mysqli/mysqli_warning.o ext/mysqli/mysqli_exception.o ext/mysqli/mysqli_result_iterator.o ext/posix/posix.o ext/reflection/php_reflection.o ext/session/mod_user_class.o ext/session/session.o ext/session/mod_files.o ext/session/mod_mm.o ext/session/mod_user.o ext/spl/php_spl.o ext/spl/spl_functions.o ext/spl/spl_engine.o ext/spl/spl_iterators.o ext/spl/spl_array.o ext/spl/spl_directory.o ext/spl/spl_exceptions.o ext/spl/spl_observer.o ext/spl/spl_dllist.o ext/spl/spl_heap.o ext/spl/spl_fixedarray.o ext/standard/crypt_freesec.o ext/standard/crypt_blowfish.o ext/standard/crypt_sha512.o ext/standard/crypt_sha256.o ext/standard/php_crypt_r.o ext/standard/array.o ext/standard/base64.o ext/standard/basic_functions.o ext/standard/browscap.o ext/standard/crc32.o ext/standard/crypt.o ext/standard/cyr_convert.o ext/standard/datetime.o ext/standard/dir.o ext/standard/dl.o ext/standard/dns.o ext/standard/exec.o ext/standard/file.o ext/standard/filestat.o ext/standard/flock_compat.o ext/standard/formatted_print.o ext/standard/fsock.o ext/standard/head.o ext/standard/html.o ext/standard/image.o ext/standard/info.o ext/standard/iptc.o ext/standard/lcg.o ext/standard/link.o ext/standard/mail.o ext/standard/math.o ext/standard/md5.o ext/standard/metaphone.o ext/standard/microtime.o ext/standard/pack.o ext/standard/pageinfo.o ext/standard/quot_print.o ext/standard/rand.o ext/standard/soundex.o ext/standard/string.o ext/standard/scanf.o ext/standard/syslog.o ext/standard/type.o ext/standard/uniqid.o ext/standard/url.o ext/standard/var.o ext/standard/versioning.o ext/standard/assert.o ext/standard/strnatcmp.o ext/standard/levenshtein.o ext/standard/incomplete_class.o ext/standard/url_scanner_ex.o ext/standard/ftp_fopen_wrapper.o ext/standard/http_fopen_wrapper.o ext/standard/php_fopen_wrapper.o ext/standard/credits.o ext/standard/css.o ext/standard/var_unserializer.o ext/standard/ftok.o ext/standard/sha1.o ext/standard/user_filters.o ext/standard/uuencode.o ext/standard/filters.o ext/standard/proc_open.o ext/standard/streamsfuncs.o ext/standard/http.o ext/xml/xml.o ext/xml/compat.o TSRM/TSRM.o TSRM/tsrm_strtok_r.o TSRM/tsrm_virtual_cwd.o main/main.o main/snprintf.o main/spprintf.o main/php_sprintf.o main/fopen_wrappers.o main/alloca.o main/php_scandir.o main/php_ini.o main/SAPI.o main/rfc1867.o main/php_content_types.o main/strlcpy.o main/strlcat.o main/mergesort.o main/reentrancy.o main/php_variables.o main/php_ticks.o main/network.o main/php_open_temporary_file.o main/php_logos.o main/output.o main/getopt.o main/streams/streams.o main/streams/cast.o main/streams/memory.o main/streams/filter.o main/streams/plain_wrapper.o main/streams/userspace.o main/streams/transports.o main/streams/xp_socket.o main/streams/mmap.o main/streams/glob_wrapper.o Zend/zend_language_parser.o Zend/zend_language_scanner.o Zend/zend_ini_parser.o Zend/zend_ini_scanner.o Zend/zend_alloc.o Zend/zend_compile.o Zend/zend_constants.o Zend/zend_dynamic_array.o Zend/zend_dtrace.o Zend/zend_execute_API.o Zend/zend_highlight.o Zend/zend_llist.o Zend/zend_opcode.o Zend/zend_operators.o Zend/zend_ptr_stack.o Zend/zend_stack.o Zend/zend_variables.o Zend/zend.o Zend/zend_API.o Zend/zend_extensions.o Zend/zend_hash.o Zend/zend_list.o Zend/zend_indent.o Zend/zend_builtin_functions.o Zend/zend_sprintf.o Zend/zend_ini.o Zend/zend_qsort.o Zend/zend_multibyte.o Zend/zend_ts_hash.o Zend/zend_stream.o Zend/zend_iterators.o Zend/zend_interfaces.o Zend/zend_exceptions.o Zend/zend_strtod.o Zend/zend_gc.o Zend/zend_closures.o Zend/zend_float.o Zend/zend_string.o Zend/zend_signal.o Zend/zend_objects.o Zend/zend_object_handlers.o Zend/zend_objects_API.o Zend/zend_default_classes.o Zend/zend_execute.o main/internal_functions_cli.o sapi/cgi/cgi_main.o sapi/cgi/fastcgi.o  -lresolv -lonig -lbz2 -lz -lpcre -lm -lxml2 -lz -liconv -lm -lxml2 -lz -liconv -lm -lmysqlclient -lz -lm -lssl -lcrypto -lxml2 -lz -liconv -lm  -o sapi/cgi/php-cgi
/Users/gibba/Gentoo/bin/bash: O2: command not found
make: [sapi/cgi/php-cgi] Error 127 (ignored)


...


 * Installing SAPI: cgi
!!! dobin: sapi/cgi/php-cgi does not exist
 * ERROR: dev-lang/php-5.4.3 failed (install phase):
 *   dobin failed
 * 
 * If you need support, post the output of 'emerge --info =dev-lang/php-5.4.3',
 * the complete build log and the output of 'emerge -pqv =dev-lang/php-5.4.3'.
 * The complete build log is located at '/Users/gibba/Gentoo/var/tmp/portage/dev-lang/php-5.4.3/temp/build.log'.
 * The ebuild environment file is located at '/Users/gibba/Gentoo/var/tmp/portage/dev-lang/php-5.4.3/temp/environment'.
 * Working directory: '/Users/gibba/Gentoo/var/tmp/portage/dev-lang/php-5.4.3/work/sapis-build/cgi'
 * S: '/Users/gibba/Gentoo/var/tmp/portage/dev-lang/php-5.4.3/work/php-5.4.3'
 * QA Notice: file does not exist:
 * 
 * 	dobin: sapi/cgi/php-cgi does not exist


Expected Results:  
Should build. All dependencies are installed from Portage.
Comment 1 Konrad Gibaszewski 2012-07-17 11:04:30 UTC
Created attachment 318426 [details]
emerge --info
Comment 2 Konrad Gibaszewski 2012-07-17 11:04:55 UTC
Created attachment 318428 [details]
emerge -pqv
Comment 3 Konrad Gibaszewski 2012-07-17 11:06:15 UTC
Created attachment 318430 [details]
build.log
Comment 4 Konrad Gibaszewski 2012-07-17 11:07:05 UTC
Created attachment 318432 [details]
build.log
Comment 5 Konrad Gibaszewski 2012-07-17 11:08:04 UTC
Created attachment 318434 [details]
environment
Comment 6 Konrad Gibaszewski 2012-07-17 11:09:19 UTC
Created attachment 318436 [details]
build.log

Complete build.log
Comment 7 Benda Xu gentoo-dev 2012-09-25 08:25:19 UTC
Hi, I think this bug is resolved by bug 433842. Could you please give the newest php-5.4.7 a try?
Comment 8 Brian Evans Gentoo Infrastructure gentoo-dev 2017-06-08 17:13:58 UTC
(In reply to Benda Xu from comment #7)
> Hi, I think this bug is resolved by bug 433842. Could you please give the
> newest php-5.4.7 a try?

Reopen if this is still an issue